Internet Explorer 10 is compatible with The Raiser's Edge version 7.93 or higher.

Refer to the system requirements (PDF) for more compatibility information.